Package org.apache.datasketches.cpc

# Class QuickMergingValidation

java.lang.Object
org.apache.datasketches.cpc.QuickMergingValidation

public class QuickMergingValidation extends Object
This code is used both by unit tests, for short running tests, and by the characterization repository for longer running, more exhaustive testing. To be accessible for both, this code is part of the main hierarchy. It is not used during normal production runtime.

This test of merging is the equal K case and is less exhaustive than TestAlltest but is more practical for large values of K.

Author:
  Lee Rhodes, Kevin Lang

## Constructor Summary

Constructors
Constructor
Description
`QuickMergingValidation(int lgMinK, int lgMaxK, int incLgK, PrintStream ps, PrintWriter pw)`

## Method Summary

Modifier and Type
Method
Description
`void`
`start()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QuickMergingValidation

public QuickMergingValidation(int lgMinK, int lgMaxK, int incLgK, PrintStream ps, PrintWriter pw)

Parameters:
  `lgMinK` - lgMinK
  `lgMaxK` - lgMaxK
  `incLgK` - incLgK
  `ps` - ps
  `pw` - pw

## Method Details

### start

public void start()